## siddec siddec — Use libsidplay to decode SID audio tunes |

## Synopsis

    struct              GstSidDec;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstSidDec

## Properties

      "blocksize"                guint                 : Read / Write
      "clock"                    GstSidClock           : Read / Write
      "filter"                   gboolean              : Read / Write
      "force-speed"              gboolean              : Read / Write
      "measured-volume"          gboolean              : Read / Write
      "memory"                   GstSidMemory          : Read / Write
      "metadata"                 GstCaps*              : Read
      "mos8580"                  gboolean              : Read / Write
      "tune"                     gint                  : Read / Write

## Description

## Synopsis

### Element Information

plugin | siddec
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-sid

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S16LE, U16LE, S8, U8 }, layout=(string)interleaved, rate=(int)[ 8000, 48000 ], channels=(int)[ 1, 2 ]

## Details

### struct GstSidDec

    struct GstSidDec;

## Property Details

### The `"blocksize"` property

      "blocksize"                guint                 : Read / Write

Size in bytes to output per buffer.

Allowed values: >= 1

Default value: 4096

### The `"clock"` property

      "clock"                    GstSidClock           : Read / Write

clock.

Default value: PAL

### The `"filter"` property

      "filter"                   gboolean              : Read / Write

filter.

Default value: TRUE

### The `"force-speed"` property

      "force-speed"              gboolean              : Read / Write

force_speed.

Default value: FALSE

### The `"measured-volume"` property

      "measured-volume"          gboolean              : Read / Write

measured_volume.

Default value: TRUE

### The `"memory"` property

      "memory"                   GstSidMemory          : Read / Write

memory.

Default value: Bank Switching

### The `"metadata"` property

      "metadata"                 GstCaps*              : Read

Metadata.

### The `"mos8580"` property

      "mos8580"                  gboolean              : Read / Write

mos8580.

Default value: FALSE

### The `"tune"` property

      "tune"                     gint                  : Read / Write

tune.

Allowed values: [0,100]

Default value: 0